processing filter is redundant with the search feature in main options dialog

2018-02-02 01:49 PM - Denis Rouzaud

Status: Closed

Priority: Normal

Assignee: Denis Rouzaud

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25928

Description

remove the processing filter

History

#1 - 2018-02-02 02:18 PM - Richard Duivenvoorde

- File QGIS b7e19d8243_291.png added

Mmm, I tend not to agree.

While for USING the algo's I agree, if I know I need the qgis buffer, you can use locator search.

But for browsing algorithms, OR for checking which different providers provide such algorith, I think the search box is still best used.

See screendump.

ps: not sure if the custom scripts will be viewable in the locator???

#2 - 2018-02-02 02:39 PM - Denis Rouzaud

I am talking about the main options dialog and its search bar. There is a processing tab in there. The filter is not for algs but for providers.

This doesn't the processing dock neither the locator.

#3 - 2018-02-02 03:37 PM - Richard Duivenvoorde

Ah sorry for confusing...

That search even either crashes my QGIS, or stall is while eating cpu

So yes, please remove it :-)

#4 - 2018-02-02 03:44 PM - Denis Rouzaud

can you elaborate on the crashes?
#5 - 2018-02-02 04:30 PM - Richard Duivenvoorde

At this moment it is not crashing anymore, it is just freezing.

I just open current QGIS master 5c5ef3b6de, open the options dialog and try to type in the search box... nothing happens anymore cpu->100%

Removed all my profiles too, still freezing.

#6 - 2018-02-02 04:40 PM - Denis Rouzaud

what version of QGIS do you have? windows? osgeo4w?

if linux, which Qt?

#7 - 2018-02-04 07:21 PM - Denis Rouzaud

https://github.com/qgis/QGIS/pull/6258

#8 - 2018-02-06 03:28 PM - Denis Rouzaud

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Files

QGIS b7e19d8243_291.png 173 KB 2018-02-02 Richard Duivenvoorde
